/*
 * Copyright (c) 2010 by Intevation GmbH
 *
 * This program is free software under the LGPL (>=v2.1)
 * Read the file LGPL.txt coming with the software for details
 * or visit http://www.gnu.org/licenses/ if it does not exist.
 */

package de.intevation.gnv.artifactdatabase.client.exception;

/**
 * Exception used for general errors in the artifact server.
 *
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 *
 */
public class ArtifactDatabaseClientException extends Exception {

    /**
     * The UID of this Class
     */
    private static final long serialVersionUID = -8979622024425251952L;

    /**
     * Constructor
     */
    public ArtifactDatabaseClientException() {
        super();
    }

    /**
     * Constructor
     *
     * @param arg0
     */
    public ArtifactDatabaseClientException(String arg0) {
        super(arg0);
    }

    /**
     * Constructor
     *
     * @param arg0
     */
    public ArtifactDatabaseClientException(Throwable arg0) {
        super(arg0);
    }

    /**
     * Constructor
     *
     * @param arg0
     * @param arg1
     */
    public ArtifactDatabaseClientException(String arg0, Throwable arg1) {
        super(arg0, arg1);
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf-8 :
